Межсайтовый скриптинг и SQL-инъекция в fuzzylime (forum)

Дата публикации:
14.06.2007
Дата изменения:
07.07.2008
Всего просмотров:
790
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-3234
CVE-2007-3235
CVE-2007-3267
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
fuzzylime (forum) 1.x
Уязвимые версии: fuzzylime (forum) 1.0, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "topic" сценария low.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "topic" сценария low.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: forum.fuzzylime.co.uk

Решение: Установите последнюю версию 1.01c с сайта производителя.

или введите имя

CAPTCHA